Dismiss a dependency alert
POST
/repos/{owner}/{repo}/security/dependency_alerts/{index}/dismiss
const url = 'https://gitea.example.com/api/v1/repos/example/example/security/dependency_alerts/1/dismiss';const options = {method: 'POST', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gitea.example.com/api/v1/repos/example/example/security/dependency_alerts/1/dismiss \ --header 'Authorization: Basic <credentials>'Gitea Enterprise only. This endpoint is not part of the community edition.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Name of the owner
repo
required
string
Name of the repository
index
required
integer
Index of the alert
FormData Parameters
Section titled “FormData Parameters”dismiss_reason
string
Reason for dismissing the alert
Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json
APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string